#ifndef __INC_POS_LOCALE_CATALOG_H
#define __INC_POS_LOCALE_CATALOG_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Papajewski
 $DAT >>Catalog.h<<   27 Nov 1996    17:49:21 - (C) ProDAD
*******************************************************************/


#ifndef __INC_POS_PEXEC_LIST_H
#include <pExec/List.h>
#endif



/*----------------------------------
-----------------------------------*/
struct pOS_CatalogItem
{
  ULONG        cati_ID;
  const CHAR  *cati_Str;
};



/*----------------------------------
-----------------------------------*/
struct pOS_Catalog
{
  struct pOS_ExNode       cat_Node;
  const CHAR             *cat_Language;
  ULONG                   cat_CodeSet;
  UWORD                   cat_Version;
  UWORD                   cat_Revision;
  ULONG                   cat_NumStrings;

  /***** SYSTEM-DATA *****/
};



#endif
