#ifndef __INC_POS_LOCALE_LANGBASE_H
#define __INC_POS_LOCALE_LANGBASE_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Papajewski
 $DAT >>LangBase.h<<   27 Nov 1996    17:44:04 - (C) ProDAD
*******************************************************************/

#ifndef __INC_POS_PEXEC_LIBRARY_H
#include <pExec/Library.h>
#endif
#ifndef __INC_POS_PEXEC_LIST_H
#include <pExec/List.h>
#endif

/*----------------------------------
-----------------------------------*/
struct pOS_LanguageBase
{
  struct pOS_Library    lgb_Lib;

  const CHAR          **lgb_LangStrs;
  const UBYTE          *lgb_ToUpper;
  const UBYTE          *lgb_ToLower;
  const UBYTE          *lgb_Cmp;
  const UWORD          *lgb_IsType;
};


enum pOS_LocaleIsType_Bits
{
  LOC_AlNum  = 0x0001,
  LOC_Alpha  = 0x0002,
  LOC_Cntrl  = 0x0004,
  LOC_Digit  = 0x0008,
  LOC_Graph  = 0x0010,
  LOC_Lower  = 0x0020,
  LOC_Print  = 0x0040,
  LOC_Punct  = 0x0080,
  LOC_Space  = 0x0100,
  LOC_Upper  = 0x0200,
  LOC_XDigit = 0x0400,
};

#endif
